Skip to content
Start here

Read matches for logo queries by ID

client.brandProtection.logoMatches.get(LogoMatchGetParams { account_id, limit, logo_id, offset } params, RequestOptionsoptions?): LogoMatchGetResponse { matches, total }
GET/accounts/{account_id}/brand-protection/logo-matches

Return matches for logo queries based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params: LogoMatchGetParams { account_id, limit, logo_id, offset }
account_id: string

Path param

minLength1
limit?: string

Query param

logo_id?: Array<string>

Query param

offset?: string

Query param

ReturnsExpand Collapse
LogoMatchGetResponse { matches, total }
matches?: Array<Record<string, unknown>>
total?: number

Read matches for logo queries by ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const logoMatch = await client.brandProtection.logoMatches.get({ account_id: 'x' });

console.log(logoMatch.matches);
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}